Subject: bug#694 closed by Mark Hindley <[email-masked]> (Re: bug#694: xfce4-power-manager: dmesg shows xfce4-power-man segfault in libupower-glib.so.3.1.0)

From: "Devuan bug Tracking System" <[email-masked]>
Date: Thu, 19 Jan 2023 12:48:06 +0000

This is an automatic notification regarding your bug report
which was filed against the xfce4-power-manager package:

#694: xfce4-power-manager: dmesg shows xfce4-power-man segfault in libupower-glib.so.3.1.0

It has been closed by Mark Hindley <[email-masked]>.

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact Mark Hindley <[email-masked]> by
replying to this email.

-- 
694: https://bugs.devuan.org/cgi/bugreport.cgi?bug=694
Devuan Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#694: xfce4-power-manager: dmesg shows xfce4-power-man segfault in libupower-glib.so.3.1.0
From: Mark Hindley <[email-masked]>
To: Csaba Tóth <[email-masked]>, [email-masked]
Date: Thu, 19 Jan 2023 12:46:05 +0000

On Tue, Jul 26, 2022 at 08:04:55PM +0000, Csaba Tóth wrote:
>    Hey Mark,
> 
>    Thank you so much for the help. My Devuan installation dates back ~4
>    years, and it is indeed was an ascii at some point, then beowulf and
>    then I rolled up to the unstable rolling.
> 
>    After your suggested apt command my upower version is the desired
>    0.99.20-1. And I was able to add the Xfce4 plugin back to my Xfce4
>    panel.

Great, closing.

>    Is there a command which would list other possible packages I'd need to
>    manually request like this?

I am not aware of any others.

Mark

Subject: xfce4-power-manager: dmesg shows xfce4-power-man segfault in libupower-glib.so.3.1.0
From: Csaba Tóth <[email-masked]>
To: Devuan Bug Tracking System <[email-masked]>
Date: Mon, 25 Jul 2022 18:22:57 +0000

Package: xfce4-power-manager
Version: 4.16.0-1
Severity: normal
X-Debbugs-Cc: [email-masked]

Dear Maintainer,

*** Reporter, please consider answering these questions, where appropriate ***

   * What led up to the situation?

I'm using Devuan on a laptop which - as usual - has sloppy BIOS / ACPI
regarding power management, but so far I was able to work these around with a
daily power on routine. Approximately half year ago the Xfce4 Power Manager
Plugin started to act up:

"Plugin "Power Manager Plugin" unexpectedly left the pnael, do you want to
restart it?
The plugin restarted more than once in 60 seconds. If you press Execute the
panel will try to restart the plugin otherwise it will be permanently removed
from the panel."

Unfortunately I don't remember the exact package versions, but it happened when
there was a package version churn related to Xfce4 itself. I also lost the
ability to set the LCD panel brightness vie GUI, since then I'm setting it from
command line. Since then daily I see segfault in dmesg:

> [  283.445707] traps: light-locker[3307] trap int3 ip:7f01d853633f
sp:7fff74c9a130 error:0 in libglib-2.0.so.0.7200.3[7f01d84f8000+8c000]
[  283.511531] xfce4-power-man[3320]: segfault at 8 ip 00007f00670da6a0 sp
00007ffe04479e70 error 4 in libupower-glib.so.3.1.0[7f00670d8000+f000]
[  283.511547] Code: 8b 3c 24 ba 13 00 00 00 89 c6 e8 3b ea ff ff 85 c0 75 b7
48 8b 04 24 48 8d 15 ec cd 00 00 be 10 00 00 00 48 8d 3d aa cc 00 00 <48> 8b 48
08 31 c0 e8 45 e6 ff ff eb 93 e8 ae de ff ff 66 66 2e 0f
[ 1189.889956] fuse: init (API version 7.36)
[ 3070.079512] xfce4-power-man[8386]: segfault at 8 ip 00007f1dbbe666a0 sp
00007fffd0c27a80 error 4 in libupower-glib.so.3.1.0[7f1dbbe64000+f000]
[ 3070.079523] Code: 8b 3c 24 ba 13 00 00 00 89 c6 e8 3b ea ff ff 85 c0 75 b7
48 8b 04 24 48 8d 15 ec cd 00 00 be 10 00 00 00 48 8d 3d aa cc 00 00 <48> 8b 48
08 31 c0 e8 45 e6 ff ff eb 93 e8 ae de ff ff 66 66 2e 0f

   * What exactly did you do (or not do) that was effective (or
     ineffective)?

Nothing so far, I'm living without the power manager plugin and keep doing my
workaround routine which is powering on the laptop without the adapter plugged
in, log in and set the LCD panel brightness, then plug in the adapter and wait
a few minutes until the screen goes to sleep, then I can start to work.

   * What was the outcome of this action?

The system is a litlle more spartan than before, but still works.

   * What outcome did you expect instead?

It'd be really great if I can use the Xfe4 power manager (plugin) again, also
brightness setting via GUI.

Here is the output of xfce4-power-manager --debug
```
xfce4-power-manager --debug

** (xfce4-power-manager:8386): WARNING **: 08:02:45.556: Failed to get name
owner: GDBus.Error:org.freedesktop.DBus.Error.NameHasNoOwner: Could not get
owner of name 'org.freedesktop.PowerManagement': no such name

** (xfce4-power-manager:8386): WARNING **: 08:02:45.556: Failed to get name
owner: GDBus.Error:org.freedesktop.DBus.Error.NameHasNoOwner: Could not get
owner of name 'org.xfce.PowerManager': no such name

TRACE[xfpm-main.c:210] xfpm_start(): Starting the power manager
TRACE[xfpm-xfconf.c:166] xfpm_xfconf_load(): Using default configuration for
general-notification
TRACE[xfpm-xfconf.c:166] xfpm_xfconf_load(): Using default configuration for
lock-screen-suspend-hibernate
TRACE[xfpm-xfconf.c:166] xfpm_xfconf_load(): Using default configuration for
critical-power-level
TRACE[xfpm-xfconf.c:166] xfpm_xfconf_load(): Using default configuration for
show-brightness-popup
TRACE[xfpm-xfconf.c:166] xfpm_xfconf_load(): Using default configuration for
handle-brightness-keys
TRACE[xfpm-xfconf.c:166] xfpm_xfconf_load(): Using default configuration for
brightness-step-count
TRACE[xfpm-xfconf.c:166] xfpm_xfconf_load(): Using default configuration for
brightness-exponential
TRACE[xfpm-xfconf.c:166] xfpm_xfconf_load(): Using default configuration for
critical-power-action
TRACE[xfpm-xfconf.c:166] xfpm_xfconf_load(): Using default configuration for
hibernate-button-action
TRACE[xfpm-xfconf.c:166] xfpm_xfconf_load(): Using default configuration for
sleep-button-action
TRACE[xfpm-xfconf.c:166] xfpm_xfconf_load(): Using default configuration for
battery-button-action
TRACE[xfpm-xfconf.c:166] xfpm_xfconf_load(): Using default configuration for
brightness-level-on-ac
TRACE[xfpm-xfconf.c:166] xfpm_xfconf_load(): Using default configuration for
brightness-level-on-battery
TRACE[xfpm-xfconf.c:166] xfpm_xfconf_load(): Using default configuration for
brightness-slider-min-level
TRACE[xfpm-xfconf.c:166] xfpm_xfconf_load(): Using default configuration for
dpms-enabled
TRACE[xfpm-xfconf.c:166] xfpm_xfconf_load(): Using default configuration for
dpms-on-ac-sleep
TRACE[xfpm-xfconf.c:166] xfpm_xfconf_load(): Using default configuration for
dpms-on-ac-off
TRACE[xfpm-xfconf.c:166] xfpm_xfconf_load(): Using default configuration for
dpms-on-battery-sleep
TRACE[xfpm-xfconf.c:166] xfpm_xfconf_load(): Using default configuration for
dpms-on-battery-off
TRACE[xfpm-xfconf.c:166] xfpm_xfconf_load(): Using default configuration for
dpms-sleep-mode
TRACE[xfpm-xfconf.c:166] xfpm_xfconf_load(): Using default configuration for
inactivity-on-ac
TRACE[xfpm-xfconf.c:166] xfpm_xfconf_load(): Using default configuration for
inactivity-on-battery
TRACE[xfpm-xfconf.c:166] xfpm_xfconf_load(): Using default configuration for
inactivity-sleep-mode-on-ac
TRACE[xfpm-xfconf.c:166] xfpm_xfconf_load(): Using default configuration for
brightness-on-ac
TRACE[xfpm-xfconf.c:166] xfpm_xfconf_load(): Using default configuration for
brightness-on-battery
TRACE[xfpm-xfconf.c:166] xfpm_xfconf_load(): Using default configuration for
network-manager-sleep
TRACE[xfpm-xfconf.c:166] xfpm_xfconf_load(): Using default configuration for
logind-handle-power-key
TRACE[xfpm-xfconf.c:166] xfpm_xfconf_load(): Using default configuration for
logind-handle-suspend-key
TRACE[xfpm-xfconf.c:166] xfpm_xfconf_load(): Using default configuration for
logind-handle-hibernate-key
TRACE[xfpm-xfconf.c:166] xfpm_xfconf_load(): Using default configuration for
heartbeat-command
TRACE[xfpm-dpms.c:72] xfpm_dpms_set_timeouts(): Settings dpms: standby=600
suspend=0 off=900

(xfce4-power-manager:8386): libupower-glib-WARNING **: 08:02:45.584: Couldn't
connect to proxy: Error calling StartServiceByName for org.freedesktop.UPower:
Launch helper exited with unknown return code 1

(xfce4-power-manager:8386): GLib-GObject-WARNING **: 08:02:45.588:
../../../gobject/gsignal.c:2613: signal 'Changed' is invalid for instance
'0x565151271890' of type 'GDBusProxy'
TRACE[xfpm-polkit.c:284] xfpm_polkit_init_data(): Using unix session polkit
subject
TRACE[xfpm-polkit.c:342] xfpm_polkit_check_auth_intern(): polkit request:
(('unix-process', {'pid': <uint32 8386>, 'start-time': <uint64 307001>}),
'org.freedesktop.login1.power-off', @a{ss} {}, uint32 0, '')
TRACE[xfpm-polkit.c:363] xfpm_polkit_check_auth_intern():
Action=org.freedesktop.login1.power-off is authorized=TRUE
TRACE[xfpm-polkit.c:342] xfpm_polkit_check_auth_intern(): polkit request:
(('unix-process', {'pid': <uint32 8386>, 'start-time': <uint64 307001>}),
'org.freedesktop.login1.reboot', @a{ss} {}, uint32 0, '')
TRACE[xfpm-polkit.c:363] xfpm_polkit_check_auth_intern():
Action=org.freedesktop.login1.reboot is authorized=TRUE
TRACE[xfpm-polkit.c:342] xfpm_polkit_check_auth_intern(): polkit request:
(('unix-process', {'pid': <uint32 8386>, 'start-time': <uint64 307001>}),
'org.freedesktop.login1.suspend', @a{ss} {}, uint32 0, '')
TRACE[xfpm-polkit.c:363] xfpm_polkit_check_auth_intern():
Action=org.freedesktop.login1.suspend is authorized=TRUE
TRACE[xfpm-polkit.c:342] xfpm_polkit_check_auth_intern(): polkit request:
(('unix-process', {'pid': <uint32 8386>, 'start-time': <uint64 307001>}),
'org.freedesktop.login1.hibernate', @a{ss} {}, uint32 0, '')
TRACE[xfpm-polkit.c:363] xfpm_polkit_check_auth_intern():
Action=org.freedesktop.login1.hibernate is authorized=TRUE

(xfce4-power-manager:8386): GLib-GObject-WARNING **: 08:02:45.592: invalid
(NULL) pointer instance

(xfce4-power-manager:8386): GLib-GObject-CRITICAL **: 08:02:45.592:
g_signal_connect_data: assertion 'G_TYPE_CHECK_INSTANCE (instance)' failed

(xfce4-power-manager:8386): GLib-GObject-WARNING **: 08:02:45.592: invalid
(NULL) pointer instance

(xfce4-power-manager:8386): GLib-GObject-CRITICAL **: 08:02:45.592:
g_signal_connect_data: assertion 'G_TYPE_CHECK_INSTANCE (instance)' failed

(xfce4-power-manager:8386): GLib-GObject-WARNING **: 08:02:45.592: invalid
(NULL) pointer instance

(xfce4-power-manager:8386): GLib-GObject-CRITICAL **: 08:02:45.592:
g_signal_connect_data: assertion 'G_TYPE_CHECK_INSTANCE (instance)' failed

(xfce4-power-manager:8386): libupower-glib-CRITICAL **: 08:02:45.592:
up_client_get_devices_full: assertion 'UP_IS_CLIENT (client)' failed
Segmentation fault
```

It looks like related to DBus and mayeb even SystemD, that's the reason I
didn't file the ticket to upstream Debian.

A few power related package versions:

```
dpkg -l | grep power
ii  acpi-support-base                             0.143-5
all          scripts for handling base ACPI events such as the power button
ii  libupower-glib1:amd64                         1:0.9.23-2+devuan1.3
amd64        abstraction for power management - shared library
ii  libupower-glib3:amd64                         0.99.20-1
amd64        abstraction for power management - shared library
ii  pm-utils                                      1.4.1-19
all          utilities and scripts for power management
ii  powermgmt-base                                1.36
all          common utils for power management
ii  upower                                        1:0.9.23-2+devuan1.3
amd64        abstraction for power management
ii  xfce4-power-manager                           4.16.0-1
amd64        power manager for Xfce desktop
ii  xfce4-power-manager-data                      4.16.0-1
all          power manager for Xfce desktop, arch-indep files
ii  xfce4-power-manager-plugins                   4.16.0-1
amd64        power manager plugins for Xfce panel
```

I'm rolling with unstable for a few years now because I needed to flee ahead
for certain package versions as a developer. So far it is OK, I rarely have
issues, but this looks persistent.

*** End of the template - remove these template lines ***

-- System Information:
Distributor ID:   Devuan
Description:      Devuan GNU/Linux 5 (daedalus/ceres)
Release:    5
Codename:   daedalus ceres
Architecture: x86_64

Kernel: Linux 5.18.0-2-amd64 (SMP w/16 CPU threads; PREEMPT)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8), LANGUAGE not set
Shell: /bin/sh linked to /bin/dash
Init: sysvinit (via /sbin/init)
LSM: AppArmor: enabled

Versions of packages xfce4-power-manager depends on:
ii  libc6                     2.33-8
ii  libcairo2                 1.16.0-6
ii  libgdk-pixbuf-2.0-0       2.42.8+dfsg-1
ii  libglib2.0-0              2.72.3-1
ii  libgtk-3-0                3.24.34-1
ii  libnotify4                0.8.1-1
ii  libpango-1.0-0            1.50.7+ds-1
ii  libpangocairo-1.0-0       1.50.7+ds-1
ii  libupower-glib3           0.99.20-1
ii  libx11-6                  2:1.7.5-1
ii  libxext6                  2:1.3.4-1
ii  libxfce4ui-2-0            4.16.1-1
ii  libxfce4util7             4.16.0-1
ii  libxfconf-0-3             4.16.0-2
ii  libxrandr2                2:1.5.2-2+b1
ii  upower                    1:0.9.23-2+devuan1.3
ii  xfce4-power-manager-data  4.16.0-1

Versions of packages xfce4-power-manager recommends:
ii  libpam-elogind [logind]      246.10-5
ii  xfce4-power-manager-plugins  4.16.0-1

xfce4-power-manager suggests no packages.

-- no debconf information